package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.hotent.base.entity.AutoFillModel;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 群组管理
 *
 * @company 广州宏天软件股份有限公司
 * @author 超级管理员
 * @email test
 * @since 2021-01-15
 */
@TableName("UC_GROUP")
@ApiModel(value="UcGroup对象", description="群组管理")
public class UcGroup extends AutoFillModel<UcGroup> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "群组名称")
    @TableField("GROUP_NAME")
    private String groupName;

    @ApiModelProperty(value = "群组编码")
    @TableField("CODE_")
    private String code;



    @ApiModelProperty(value = "创建人名称")
    @TableField("CREATOR_NAME_")
    private String creatorName;

    @TableField(exist=false)
    @ApiModelProperty(name="groupType",notes="类型")
    protected String groupType="group";


    @TableField(exist=false)
    @ApiModelProperty(name="name",notes="群组名称")
    protected String name;



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getName() {
        return groupName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "UcGroup{" +
            "id=" + id +
            ", groupName=" + groupName +
            ", code=" + code +
            ", creatorName=" + creatorName +
        "}";
    }
}
